=== debian/changelog ===
minipro (0.1-1) unstable; urgency=low

  * Initial release

 -- minoru <minoru@unknown>  Tue, 25 Feb 2014 10:03:07 +0700
